Bug 261925 - The Preview command does not work.
Summary: The Preview command does not work.
Status: RESOLVED UNMAINTAINED
Alias: None
Product: plasma4
Classification: Plasma
Component: general (show other bugs)
Version: 4.8.3
Platform: OpenSUSE Linux
: NOR normal with 10 votes (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-03 03:41 UTC by Christopher Yeleighton
Modified: 2018-06-08 19:52 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Yeleighton 2011-01-03 03:41:40 UTC
Version:           unspecified (using KDE 4.4.4) 
OS:                Linux

Dolphin advertises a command to preview a file.  The command does not work at all, for any file.

Reproducible: Always

Steps to Reproduce:
  1. 
Tell Dolphin to preview any file.

  2. 
Examine .xsession-errors.


Actual Results:  
  1. 
Nothing happens.

  2. 
Cannot find 'org.kde.Previewer.openFile' in object /Previewer at org.kde.plasma-desktop


Expected Results:  
  1. Whatever this command was meant to do.
Comment 1 Marco Martin 2011-01-03 14:14:33 UTC
the previewer plasmoid needs to be open
Comment 2 Marco Martin 2011-01-03 14:15:31 UTC
i think it could be found a way to use plasma-windowed to use it when it's not available
Comment 3 Beat Wolf 2011-04-06 08:47:28 UTC
this is more of a dolphin bug than a plasma bug, isnt it?
Comment 4 Myriam Schweingruber 2012-05-21 23:37:50 UTC
Closing for lack of feedback. Please feel free to reopen this report if you can still reproduce this with KDE 4.8.3 or later.
Comment 5 Christopher Yeleighton 2012-05-22 18:29:45 UTC
Cannot find 'org.kde.Previewer.openFile' in object /Previewer at org.kde.plasma-desktop

Still under KDE 4.8.3.
Comment 6 Nate Graham 2018-06-08 19:52:05 UTC
Hello!

This bug report was filed for KDE Plasma 4, which reached end-of-support status in August 2015. KDE Plasma 5's desktop shell has been almost completely rewritten for better performance and usability, so it is likely that this bug is already resolved in Plasma 5.

Accordingly, we hope you understand why we must close this bug report. If the issue described  here is still present in KDE Plasma 5.12 or later, please feel free to open a new ticket in the "plasmashell" product after reading https://community.kde.org/Get_Involved/Bug_Reporting

If you would like to get involved in KDE's bug triaging effort so that future mass bug closes like this are less likely, please read https://community.kde.org/Get_Involved#Bug_Triaging

Thanks for your understanding!

Nate Graham